Forums développeurs windev

Version complète : migration projet
Vous consultez actuellement la version basse qualité d’un document. Voir la version complète avec le bon formatage.
Pages : 1 2 3
bonjour

j'ai un projet développé avec windev 4. Il fonctionne depuis 10 ans

Aujourd'hui, je voudrais migrer ce projet sur les versions supérieurs
Voilà ce que j'ai fais:

de v4à v5.5 migration ok
de v5.5à v7 migration ok
de v7 à v9 (que j'utilise actuellement pour les nouveaux projets), j'ai ce message

impossible de treminer l''initialisation
conflit interne (JO)

Merci de votre aide
bonjour

je n'ai pas de réponse à ma requête

y a il un lies avec le fait que windev9 n'est pas une versio originale?
Qu'est-ce que tu entends par "n'est pas une versio originale" ?
bonjour w55

une version que j'ai téléchargé

sachant que nous avons aquis une version originale W17

et mon but et d'aller vers cette version

je pense que je ne peux pas le faire directement avant de passer par la 9

est il possible de passer à la version 17 directement à partior de la version7

ça sera génial
A mon avis :
Tout projet compilé en 7.5 (minimum) peut-être migré vers les versions supérieures sans passer par les versions intermédiaires.
J'ai bien dit 7.5 et non 7 !
J'espère que ce n'est pas une grosse appli sinon je te souhaite bien du courage.
Pour ma part j'ai renoncé depuis longtemps à migrer.
Les nouvelles versions n'amènent d'ailleurs rien de fonfamental à tout bon développeur.
Avis perso, bien sûr.
J'ai la version 7.01
version interne 01-70130e

votre remarque est correcte
Imaginez que je suis contente avec la version 4.1

seulement l'interface et les gabarits sont meilleurs avec le version supérieures

au fait j'ai de très grosses applications et j'ai besoin de beaucoup de courage comme vous le dites

je ne peux pas m'arrêter à la version 7 car j'ai un problème avec les héritrages de classe et ça a été résolu à partir de la version 9

J'ai déjà migré d'autres projets vers la 9 mais à l'époque j'avais une version avec dongle (originale)

c'est pour ça que j'ai pensé à cette éventualité

Le message (Erreur d'initialisation du projet conflit interne ..)

merci de m'aider encore plus
Avis que je partage à 100% !!

Vous pouvez migrer à partir de la 7.5 vers une version supérieure... mais sans les nouveautés !!!
Sans doute à faire des corrections et adaptations.

Edité: Mon post devait faire suite au post de wd55 » 25 Mai 2012 11:58
samifred

ou etes vous passé

d'habitude vous répondez à mes requetes
Bon, on se résume :
Vous avez une version 7.01.
C'est pas bon il faut la 7.5 disponible sur le ftp de PcSoft.

Vous êtes contente avec la 4.1 :
C'est une version pourtant assez moyenne, pour ne pas dire plus.
La 5.5 est une excellente version et c'était à l'époque enfantin de migrer vers elle.
La version 9 est excellente bien que déjà un peu gadget.
Après, les autres versions, à part pour compiler en 64 bits (ce qui n'a pas grand intérêt pour les programmes de gestion) je ne vois pas d'intérêt.

Vous dites "J'ai déjà migré d'autres projets vers la 9 mais à l'époque j'avais une version avec dongle (originale)"
Est-ce à dire que votre version actuelle est dumpée ?
Dans ces conditions vous ne migrerez jamais.
Et alors Samifred, qu'est-ce que tu fais.
Elle s'impatiente la dame, parceque tout ce qui est dit ici sans ton aval, n' a bien entendu aucune valeur.
Je plaisante, bien sûr.
Mais sa vexe un peu tout de même ...
Pages : 1 2 3